Create agent experiment
curl --request POST \
--url 'https://api.vida.dev/api/v2/experiments?token=' \
--header 'Content-Type: application/json' \
--data '
{
"agentConfigId": "<string>",
"variants": [
{
"versionId": 123,
"weight": 1,
"label": "<string>"
}
],
"name": "Untitled Experiment",
"status": "active"
}
'import requests
url = "https://api.vida.dev/api/v2/experiments?token="
payload = {
"agentConfigId": "<string>",
"variants": [
{
"versionId": 123,
"weight": 1,
"label": "<string>"
}
],
"name": "Untitled Experiment",
"status": "active"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
agentConfigId: '<string>',
variants: [{versionId: 123, weight: 1, label: '<string>'}],
name: 'Untitled Experiment',
status: 'active'
})
};
fetch('https://api.vida.dev/api/v2/experiments?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"agentConfigId": "<string>",
"name": "<string>",
"variants": [
{
"versionId": 123,
"weight": 1,
"label": "<string>"
}
],
"createdAt": 123,
"createdBy": 123
},
"status": "created"
}Agents
Create agent experiment
Creates an experiment from at least two saved versions of the same live agent configuration. The weights are relative and do not need to total 100. Only one experiment for an agent configuration may be active at a time.
POST
/
api
/
v2
/
experiments
Create agent experiment
Authorizations
Vida API Token
Query Parameters
Body
application/json
⌘I